import request from './request.js'

// 酒吧方注册
export function barRegister(data) {
	return request({
		url: '/bar/register',
		method: 'post',
		data
	})
}

// 酒吧方登录
export function barLogin(data) {
	return request({
		url: '/bar/login',
		method: 'post',
		data
	})
}

// 酒吧获取用户信息
export function getUserInfo() {
	return request({
		url: '/bar/getUserInfo',
		method: 'get'
	})
}

// 通过code获取小程序openId
export function getOpenId(code) {
	return request({
		url: '/bar/getOpenId?code=' + code,
		method: 'get',
	})
}
// 绑定用户信息
export function bindBarUser(data) {
	return request({
		url: '/bar/bindBarUser',
		method: 'post',
		data
	})
}

// 上传图片
export function uploadImg(data) {
	return request({
		url: '/bar/uploadImg',
		method: 'post',
		data
	})
}

// 手机号code登录
export function phoneCodeLoginApi(data) {
	return request({
		url: '/bar/phoneCodeLogin',
		method: 'post',
		data
	})
}