import request from "./request.js";

// 获取专辑页列表
export function listFeaturePage() {
	return request({
		url: '/bar/platform/feature/list',
		method: 'get'
	})
}
// 获取专辑页详情
export function getFeaturePage(id) {
	return request({
		url: '/bar/platform/feature/'+id,
		method: 'get'
	})
}

// 获取客服二维码
export function getCustomerServiceQRCode() {
	return request({
		url: '/bar/platform/customerServiceQRCode',
		method: 'get'
	})
}

// 通用搜索
export function commonSearch(search) {
	return request({
		url: '/bar/platform/commonSearch?search=' + search,
		method: 'get'
	})
}

// 热门啤酒风格
export function popularStyle() {
	return request({
		url: '/bar/platform/popularStyles',
		method: 'get'
	})
}

// 风格酒款列表
export function getBeerByStyle(data) {
	return request({
		url: '/bar/platform/getBeerListByStyle',
		method: 'get',
		data
	})
}
export function searchByBreweriesApi(keyword) {
	return request({
		url: '/bar/brewery/getBreweries?search='+ keyword,
		method: 'get',
	})
}

// 品牌方酒款列表
export function getBeerList(keyword) {
	return request({
		url: '/bar/brewery/getBeerList?search='+ keyword,
		method: 'get',
	})
}



// 最近的6个月
export function getLastSixMonth() {
	return request({
		url: '/bar/platform/lastSixMonth',
		method: 'get',
		})
}

// 获取新酒品列表
export function getNewBeerListByMonth(data) {
	return request({
		url: '/bar/platform/newBeerListByMonth',
		method: 'get',
		data
		})
}