import request from "./request.js";

// 查询我的酒评列表
export function listMyReview(data) {
	return request({
		url: '/bar/user/reviewList',
		method: 'get',
		data
	})
}

// 查询我收藏的酒款列表
export function listMyFavoriteBeer(data) {
	return request({
		url: '/bar/user/favoriteBeerList',
		method: 'get',
		data
	})
}

// 查询我收藏的酒款列表
export function listMyFavoriteBrewery(data) {
	return request({
		url: '/bar/user/favoriteBreweryList',
		method: 'get',
		data
	})
}

// 我的扫码数据
export function getMyScanData() {
	return request({
		url: '/bar/user/myScanData',
		method: 'get'
	})
}

// 我的兑换订单
export function getMyExchangeOrder(data) {
	return request({
		url: '/bar/user/myExchangeOrder',
		method: 'get',
		data
	})
}
// 获取我参与的活动列表
export function myJoinListApi(data) {
	return request({
		url: '/bar/user/myActivityList',
		method: 'get',
		data
	})
}
// 获取我参与的活动详情
export function myJoinDetailApi(batchId) {
	return request({
		url: '/bar/user/myActivityDetail?batchId=' + batchId,
		method: 'get',
	})
}
// 确认商品已经对付
export function confirmPayApi(rewardId) {
	return request({
		url: '/bar/user/confirmExchange?rewardId=' + rewardId,
		method: 'post',
	})
}
		
// 提交意见反馈
export function addFeedback(data) {
	return request({
		url: '/bar/user/addFeedback',
		method: 'post',
		data
    })
}

// 修改门店地址
export function updateAddress(data) {
	return request({
		url: '/bar/barinfo/editAddress',
		method: 'post',
		data
	})
}
export function delReview(id) {
	return request({
		url: '/bar/beer/review/deleteReview?reviewId=' + id,
		method: 'post'
		})
}

